RootLabels (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.syntaxgraph
Class RootLabels

    java.lang.Object
      org.maltparser.core.syntaxgraph.RootLabels

    public class RootLabels

extends Object

Author:
  Johan Hall

Field Summary
`static String` | `DEFAULT_ROOTSYMBOL`

Constructor Summary
`RootLabels()`

Method Summary
`boolean` | `checkRootLabelCodes(LabelSet rlc)`
`Integer` | `getDefaultRootLabelCode(SymbolTable table)`
`LabelSet` | `getDefaultRootLabels()`
`String` | `getDefaultRootLabelSymbol(SymbolTable table)`
`void` | `setDefaultRootLabel(SymbolTable table, String defaultRootSymbol)`
`void` | `setRootLabels(String rootLabelOption, SortedMap<String,SymbolTable> edgeSymbolTables)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_ROOTSYMBOL

    public static final String DEFAULT_ROOTSYMBOL

See Also:
  Constant Field Values

Constructor Detail

### RootLabels

    public RootLabels()

Method Detail

### setRootLabels

    public void setRootLabels(String rootLabelOption,
                              SortedMap<String,SymbolTable> edgeSymbolTables)
                       throws MaltChainedException

  Throws:
    `MaltChainedException`

### setDefaultRootLabel

    public void setDefaultRootLabel(SymbolTable table,
                                    String defaultRootSymbol)
                             throws MaltChainedException

  Throws:
    `MaltChainedException`

### getDefaultRootLabelCode

    public Integer getDefaultRootLabelCode(SymbolTable table)
                                    throws MaltChainedException

  Throws:
    `MaltChainedException`

### getDefaultRootLabels

    public LabelSet getDefaultRootLabels()
                                  throws MaltChainedException

  Throws:
    `MaltChainedException`

### getDefaultRootLabelSymbol

    public String getDefaultRootLabelSymbol(SymbolTable table)
                                     throws MaltChainedException

  Throws:
    `MaltChainedException`

### checkRootLabelCodes

    public boolean checkRootLabelCodes(LabelSet rlc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.